import gisConfig from '../config/gis';
import esriLoader from 'esri-loader';

export const _ = require('lodash');

export function loadModules(modules = [], mapSettings = {}) {
  let mergeMapSettings = Object.assign(gisConfig, mapSettings);
  return new Promise(
    function (resolve, reject) {
      esriLoader.loadModules(modules, mergeMapSettings).then(
        function (array) {
          resolve(array);
        }.bind(this),
      );
    }.bind(this),
  );
}

// export const urlUtils = window.urlUtils || function() {}

// export urlUtils
